Pular para o conteúdo

O perfil do associado que entrou

GET
/v1/me
curl --request GET \
--url https://api.vimine.network/v1/me \
--header 'Authorization: Bearer <token>'

O perfil

Tipo de mídiaapplication/json
object
sub
obrigatório

O identificador desta pessoa (subject), como no ID token

string
email
obrigatório
string formato: email
email_verified
obrigatório
boolean
first_name
string
nullable
last_name
string
nullable
phone
string
nullable
dob
string formato: date
nullable
gender

Só estatístico

string
nullable
Valores permitidos: M F
birthplace
string
nullable
birth_country

ISO 3166-1 alpha-2

string
nullable
codicefiscale

Opcional: uma pessoa pode não ter um

string
nullable
codicefiscale_check

Como a pessoa está identificada. matched: um código fiscal que confere com os seus dados; mismatch_confirmed: um código que não confere, confirmado pela pessoa; absent: nenhum código — data, local e país de nascimento a identificam; null: ainda não identificada (não pode pedir uma carteirinha)

string
nullable
Valores permitidos: matched mismatch_confirmed absent
locale

O idioma que a pessoa escolheu para a plataforma e os seus e-mails; null: nunca escolhido — vale o idioma da requisição, depois o da associação

string
nullable
Valores permitidos: it en zh-Hans zh-Hant fr es de pt-BR
updated_at
string formato: date-time
nullable
Exemplo
{
"gender": "M",
"codicefiscale_check": "matched",
"locale": "it"
}

Requisição inválida

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Credenciais ausentes ou inválidas

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Não permitido

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Não encontrado

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Limite de requisições excedido

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Erro interno

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}